import {select , arc} from 'd3'

const svg = select('svg');

// make a circle inside the svg element
// using append to add new dom elements

// extract height and weight from svg element
const height =parseFloat( svg.attr('height'));
const width = parseFloat(svg. attr('width'));


const g = svg.append('g')
 .attr('transform',`translate(${width/2},${height/2})`);
// this is to group all the svg elements together


const circle= g.append('circle')
	.attr('r', height/2)
	.attr('fill','yellow')
	.attr('stroke','black');

const eyeSpacing= 100;
const eyeYOffset= -70;
const eyeRadius= 30;
const eyeBrowWidth= 70;
const eyeBrowHeight= 15;
const eyeBrowYOffset= -70;


const eyesG= g.append('g')
	.attr('transform' ,	`translate(0, ${eyeYOffset})`);

const eyeBrowsG= eyesG.append('g')
 .attr('transform' ,	`translate(0, ${eyeBrowYOffset})`);

eyeBrowsG
 .transition()
		.duration(2000)
		.attr('transform' ,	`translate(0, ${eyeBrowYOffset-50})`)
	.transition()
		.duration(2000)
		.attr('transform' ,	`translate(0, ${eyeBrowYOffset})`)
	;

const leftEye= eyesG.append('circle')
	.attr('r', eyeRadius)
	.attr('cx',- eyeSpacing);

const rightEye= eyesG.append('circle')
	.attr('r', eyeRadius)
	.attr('cx', eyeSpacing);

const leftEyeBrow= eyeBrowsG.append('rect')
	.attr('x', -eyeSpacing -eyeBrowWidth/2)
	.attr('width' , eyeBrowWidth)
	.attr('height', eyeBrowHeight);

const rightEyeBrow= eyeBrowsG.append('rect')
	.attr('x', eyeSpacing -eyeBrowWidth/2)
	.attr('width' , eyeBrowWidth)
	.attr('height', eyeBrowHeight)
	;
// smile face
// arc


//  d attribute defines a path to be drawn
const mouth = g.append('path')
	.attr('d', arc()({
  	innerRadius: 150,
  	outerRadius: 170,
  	startAngle: Math.PI/2,
  	endAngle: Math.PI *3/2
  }));


